###
## SecClabCa
## Copyright (C) 2003 SecClab group (mail. lfp70@hotmail.com)
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public Licence as published by
# the Free Software Foundation; eihter version 2 of the License, or
# (at your option) any later version.
#
# This program is distributes in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
##
###

from SecClabCa import SecClabCa, manage_addSecClabCaForm, manage_addSecClabCa
from SecClabRa import SecClabRa, manage_addSecClabRaForm, manage_addSecClabRa
from SecClabRa import SecClabWeb, manage_addSecClabWebForm, manage_addSecClabWeb
from SecClabAccess import SecClabAccess, manage_addSecClabAccessForm, manage_addSecClabAccess
from SecClabWebClabAPI import SecClabWebClabAPI, manage_addSecClabWebClabAPIForm, manage_addSecClabWebClabAPI
from SecClabApiResponse import SecClabApiResponse, manage_addSecClabApiResponseForm, manage_addSecClabApiResponse

def initialize(context):
    """ Initialize de SecClabCa-class """

    context.registerClass(
        SecClabCa,
        constructors=(manage_addSecClabCaForm, manage_addSecClabCa),
        icon='www/ca.gif'
        )
    context.registerClass(
        SecClabRa,
        constructors=(manage_addSecClabRaForm, manage_addSecClabRa),
        icon='www/ra.gif'
        )
    context.registerClass(
        SecClabWeb,
        constructors=(manage_addSecClabWebForm, manage_addSecClabWeb),
        icon='www/web.gif'
        )    
    context.registerClass(
        SecClabAccess,
        constructors=(manage_addSecClabAccessForm, manage_addSecClabAccess),
        icon='www/icon.gif'
        )
    context.registerClass(
        SecClabWebClabAPI,
        constructors=(manage_addSecClabWebClabAPIForm, manage_addSecClabWebClabAPI),
        icon='www/web.gif'
        )    
    context.registerClass(
        SecClabApiResponse,
        constructors=(manage_addSecClabApiResponseForm, manage_addSecClabApiResponse),
        icon='www/icon.gif'
        )
